Name:		clipmenu	
Version:	6.2.0
Release:	1%{?dist}
Summary:	clipmenu is a simple clipboard manager using dmenu (or rofi with CM_LAUNCHER=rofi) and xsel.

License:	Unlicense
URL:		https://github.com/cdown/clipmenu/
Source0:	https://github.com/cdown/%{name}/archive/%{version}.tar.gz

BuildArch:	noarch
Requires:	bash (dmenu or rofi) xsel clipnotify

%description
Start clipmenud, then run clipmenu to select something to put on the clipboard.
All args passed to clipmenu are transparently dispatched to dmenu.
You can remove clips with the clipdel utility, see clipdel --help.

%define _userunitdir %{_usr}/lib/systemd/user

%prep
%setup -q


%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_userunitdir}
install -m 755 -t %{buildroot}%{_bindir} %{_builddir}/%{name}-%{version}/clip{ctl,del,menu,menud}
install -m 644 -t %{buildroot}%{_userunitdir} %{_builddir}/%{name}-%{version}/init/%{name}d.service

%files
%doc README.md
%license LICENSE
%attr(0755, root, root) %{_bindir}/clipctl
%attr(0755, root, root) %{_bindir}/clipdel
%attr(0755, root, root) %{_bindir}/clipmenu
%attr(0755, root, root) %{_bindir}/clipmenud
%attr(0644, root, root) %{_userunitdir}/%{name}d.service

%post
systemctl --global daemon-reload >/dev/null 2>&1 || : 
systemctl --no-reload preset --global %{name}d.service >/dev/null 2>&1 || : 

%preun
systemctl --global disable %{name}d.service >/dev/null 2>&1 || : 


%changelog
* Tue Oct 20 2020 skidnik
- Bump version to 6.2.0
* Mon Jul 20 2020 skidnik
- Bump version to 6.1.0, adds clipctl utility
* Thu May 14 2020 skidnik
- Version 6.0.1, now hard depends in clipnotify.
* Tue Feb 19 2019 skidnik
- post and preun for systemd unit
* Tue Feb 19 2019 skidnik
- Correct License:, add clipnotify as recommended
* Mon Feb 18 2019 skidnik
- Initial package
